.divSelectFilter {
    position: relative;
}

/* .divSelectFilter.disabled {
    pointer-events: none;
} */



.divSelectFilter i {
    position: absolute;
    top: 3px;
    right: 10px;
    color: #807c7c;
    transition: all 0.3s ease-in-out;
}

.divSelectFilter i.active {
    transform: rotate(180deg);
    top: 9px;
}
.divSelectFilter .loaderselect{
    display: none;
    border: 2px solid #f3f3f3;
    border-top: 2px solid #1c8ee7;
    border-radius: 50%;
    width: 13px;
    height: 13px;
    animation: spin2 0.5s linear infinite;
    position: absolute;
    right: 35px;
    z-index: 29352262;
    top: 7px;
}
.divSelectFilter .loaderselect.active{
    display: block;
}

@keyframes spin2 {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
.divSelectFilter input {
    font-family: 'Roboto Mono', monospace;
    border: 1px solid #cfc1c1;
    outline: none;
    padding: 0 30px 0 10px;
    height: 30px;
    font-size: 11px;
    position: relative;
    font-weight: 500;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    box-sizing: border-box;
}
.divSelectFilter input.disabled {
    background: #f7efef;
    pointer-events: none;
}


.divSelectFilter .corpoFiltroInput {
    max-height: 150px;
    box-shadow: 2px 2px 10px #cfc1c1;
    background: white;
    position: absolute;
    margin: 5px 0 0 0;
    overflow-y: auto;
    overflow-x: hidden;
    z-index: 10000;
}

.divSelectFilter .corpoFiltroInput.Modal {
    position: absolute;
    bottom: 60px !important;
}


.divSelectFilter .corpoFiltroInput .ulSelectInput {
    width: 100% !important;
    height: 100% !important;
    padding: 0 !important;
    margin: 0 !important;
}

.divSelectFilter .corpoFiltroInput .ulSelectInput .liSelectInput {
    font-family: 'Roboto Mono', monospace;
    list-style: none;
    font-size: 11px;
    font-weight: 500;
    color: #2b2828;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    background: white;
    border-bottom: 1px solid rgb(0 0 0 / 6%);
    box-shadow: -1px 3px 10px rgb(0 0 0 / 9%);
    cursor: pointer;
}

.divSelectFilter .corpoFiltroInput .ulSelectInput .liFuncoes {
    position: sticky;
    bottom: 0px;
    background: white;
    display: flex;
    padding: 5px;
    justify-content: space-between;
    align-items: center;
    z-index: 22322333;
}

.divSelectFilter .corpoFiltroInput .ulSelectInput .liFuncoes .inforQtd {
    font-size: 9px;
    font-weight: 600;
    color: #0066b3;
}

.divSelectFilter .corpoFiltroInput .ulSelectInput .liFuncoes .inforFuncoes {
    width: 50%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.divSelectFilter .corpoFiltroInput .ulSelectInput .liFuncoes .inforFuncoes .paginaSelect{
    font-size: 8px;
    font-weight: bold;
    color: #0066b3;
}


.divSelectFilter .corpoFiltroInput .ulSelectInput .liFuncoes .inforFuncoes button{
    width: 30%;
    height: 15px;
    font-size: 9px;
    background: transparent;
    border: none;
    cursor: pointer;
}

.divSelectFilter .corpoFiltroInput .ulSelectInput .liFuncoes .inforFuncoes button .iclassFuncoes{
    position: sticky !important;
    color: #0066b3;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}





.divSelectFilter .corpoFiltroInput .ulSelectInput .liSelectInput:nth-child(even) {
    background: #f4f4f4;
}


.divSelectFilter .corpoFiltroInput .ulSelectInput .liSelectInput.Setado {
    background: #0080004d;
}

.divSelectFilter .corpoFiltroInput .ulSelectInput .liSelectInput.ocultado {
    display: none;
}

.divSelectFilter .corpoFiltroInput .ulSelectInput .liSelectInput.desocultado {
    display: '';
}


.divSelectFilter .corpoFiltroInput .ulSelectInput li[value="Nada"] {
    background: #0080004d;
}


.divSelectFilter .corpoFiltroInput .ulSelectInput .liSelectInput input {
    font-family: 'Roboto Mono', monospace;
    box-sizing: border-box;
    width: calc(100% - 10px);
    display: block;
    height: 25px;
    background: transparent;
    color: green;
    cursor: pointer;
    border: none;
}